// MFC_SDI_TestView.cpp : implementation of the CMFC_SDI_TestView class
//

#include "stdafx.h"
#include "MFC_SDI_Test.h"

#include "MFC_SDI_TestDoc.h"
#include "MFC_SDI_TestView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMFC_SDI_TestView

IMPLEMENT_DYNCREATE(CMFC_SDI_TestView, CView)

BEGIN_MESSAGE_MAP(CMFC_SDI_TestView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_KEYUP()
END_MESSAGE_MAP()

// CMFC_SDI_TestView construction/destruction

CMFC_SDI_TestView::CMFC_SDI_TestView()
{
	x = y = 20;
}

CMFC_SDI_TestView::~CMFC_SDI_TestView()
{
}

BOOL CMFC_SDI_TestView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CMFC_SDI_TestView drawing

void CMFC_SDI_TestView::OnDraw(CDC* pDC)
{
	CMFC_SDI_TestDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;
	CBrush *oldBrush;
	oldBrush = (CBrush*) pDC->SelectObject(new CBrush(pDoc->m_crBarvaVyplne));
	pDC->Ellipse(x, y, x+pDoc->m_iOsaX, y + pDoc->m_iOsaY);
	delete pDC->SelectObject(oldBrush);
}


// CMFC_SDI_TestView printing

BOOL CMFC_SDI_TestView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CMFC_SDI_TestView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CMFC_SDI_TestView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CMFC_SDI_TestView diagnostics

afx_msg void CMFC_SDI_TestView::OnKeyUp( UINT nChar, UINT nRepCount, UINT nFlags)
{
	CRect rect;
	GetWindowRect(&rect);
	rect.bottom-=10;
	int posuv =20;
	rect.right-=10;
	switch (nChar)
	{
	case VK_LEFT:
		x-=posuv;
		if (x<0) x=0;
		break;
	case VK_UP:
		y-=posuv;
		if (y<0) y=0;
		break;
	case VK_DOWN:
		y+=posuv;
		if (y>rect.bottom) y=rect.bottom;
		break;
	case VK_RIGHT:
		x+=posuv;
		if (x>rect.right) x=rect.right;
		break;
	default:
		break;
	}
	InvalidateRect(NULL);
	UpdateWindow();
}

#ifdef _DEBUG
void CMFC_SDI_TestView::AssertValid() const
{
	CView::AssertValid();
}

void CMFC_SDI_TestView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMFC_SDI_TestDoc* CMFC_SDI_TestView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMFC_SDI_TestDoc)));
	return (CMFC_SDI_TestDoc*)m_pDocument;
}
#endif //_DEBUG


// CMFC_SDI_TestView message handlers
