// MFC_SDI_TestDoc.cpp : implementation of the CMFC_SDI_TestDoc class
//

#include "stdafx.h"
#include "MFC_SDI_Test.h"

#include "MFC_SDI_TestDoc.h"
#include ".\mfc_sdi_testdoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMFC_SDI_TestDoc

IMPLEMENT_DYNCREATE(CMFC_SDI_TestDoc, CDocument)

BEGIN_MESSAGE_MAP(CMFC_SDI_TestDoc, CDocument)
	ON_COMMAND(ID_MOJEMENU_BARVAELIPSY, OnMojemenuBarvaelipsy)
	ON_COMMAND(ID_MOJEMENU_NASTAVENIELIPSY, OnMojemenuNastavenielipsy)
END_MESSAGE_MAP()


// CMFC_SDI_TestDoc construction/destruction

CMFC_SDI_TestDoc::CMFC_SDI_TestDoc()
: m_iOsaX(0)
, m_iOsaY(0)
{
	// TODO: add one-time construction code here

}

CMFC_SDI_TestDoc::~CMFC_SDI_TestDoc()
{
}

BOOL CMFC_SDI_TestDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)
	m_iOsaX = 40;
	m_iOsaY = 20;
	m_crBarvaVyplne = RGB(255,0,255);
	return TRUE;
}




// CMFC_SDI_TestDoc serialization

void CMFC_SDI_TestDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		ar << m_iOsaX;
		ar << m_iOsaY;
		ar << m_crBarvaVyplne;
	}
	else
	{
		ar >> m_iOsaX;
		ar >> m_iOsaY;
		ar >> m_crBarvaVyplne;
	}
}


// CMFC_SDI_TestDoc diagnostics

#ifdef _DEBUG
void CMFC_SDI_TestDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CMFC_SDI_TestDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CMFC_SDI_TestDoc commands

void CMFC_SDI_TestDoc::OnMojemenuBarvaelipsy()
{
	CColorDialog dlg(m_crBarvaVyplne, CC_FULLOPEN);
	if (dlg.DoModal()==IDOK)
	{
		m_crBarvaVyplne=dlg.GetColor();
		UpdateAllViews(NULL);
	}
}

void CMFC_SDI_TestDoc::OnMojemenuNastavenielipsy()
{
	CDlgNastaveniVelikostiElipsy dlg;
	dlg.m_iSirka = m_iOsaX;
	dlg.m_iVyska = m_iOsaY;
	if (dlg.DoModal()==IDOK)
	{
		m_iOsaX= dlg.m_iSirka;
		m_iOsaY = dlg.m_iVyska;
		UpdateAllViews(NULL);
	}
}
